<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/video_utils_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/18/85  video_utils_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>This subroutine provides interfaces for activating and de-activating
<span id="L5" class="LineNr"> 5 </span>the video system.
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>Entry points in video_utils_:
<span id="L9" class="LineNr"> 9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>:Entry: turn_on_login_channel: 03/18/85 video_utils_$turn_on_login_channel
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Function: This entry removes the existing attachment of the user's
<span id="L16" class="LineNr">16 </span>terminal, replacing it with the video system.  When this entry returns
<span id="L17" class="LineNr">17 </span>successfully, the switch user_terminal_ is attached through tc_io_ to
<span id="L18" class="LineNr">18 </span>the user's terminal.  The switch user_ i/o is attached through
<span id="L19" class="LineNr">19 </span>window_io_ to a window covering the entire screen.  invoked: vertsp,
<span id="L20" class="LineNr">20 </span>can, erkl, esc, red, and ctl_char.  In addition, if ^pl is set on
<span id="L21" class="LineNr">21 </span>video system invocation, ^more will be set in the video system.
<span id="L22" class="LineNr">22 </span>Similarly, the settings of the current erase and kill characters are
<span id="L23" class="LineNr">23 </span>copied when the video system is invoked.
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>Syntax:
<span id="L27" class="LineNr">27 </span>declare video_utils_$turn_on_login_channel entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L28" class="LineNr">28 </span>     char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L29" class="LineNr">29 </span>call video_utils_$turn_on_login_channel <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_o0">,</span> reason<span class="textRainbow_lv0_p0">)</span>;
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>Arguments:
<span id="L33" class="LineNr">33 </span>code
<span id="L34" class="LineNr">34 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr">35 </span>reason
<span id="L36" class="LineNr">36 </span>   contains information about the error, if there is one.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr">37 </span>   <span class="textRainbow_lv0_p0">(</span>128 characters are enough to hold any message that may be returned
<span id="L38" class="LineNr">38 </span>   in reason.<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>Notes:  If the video system is already in service on the user's
<span id="L42" class="LineNr">42 </span>terminal, the status code video_et_$wsys_invoked is returned, and the
<span id="L43" class="LineNr">43 </span>value of reason is not defined.
<span id="L44" class="LineNr">44 </span>
<span id="L45" class="LineNr">45 </span>If the activation of the video system fails, the original attachment of
<span id="L46" class="LineNr">46 </span>the terminal <span class="textRainbow_lv0_p0">(</span>through tty_<span class="textRainbow_lv0_p0">)</span> is restored, and information is returned in
<span id="L47" class="LineNr">47 </span>reason and code.
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>In particular, if the switch user_i/o is not currently attached through
<span id="L50" class="LineNr">50 </span>tty_, the code video_et_$switch_not_attached_with_tty_ is returned.
<span id="L51" class="LineNr">51 </span>This may indicate that the user has auditing or the graphic system in
<span id="L52" class="LineNr">52 </span>place.  The message returned in reason advises the user to remove
<span id="L53" class="LineNr">53 </span>graphics or auditing and try again.
<span id="L54" class="LineNr">54 </span>
<span id="L55" class="LineNr">55 </span>
<span id="L56" class="LineNr">56 </span>:Entry: turn_off_login_channel: 03/18/85 video_utils_$turn_off_login_channel
<span id="L57" class="LineNr">57 </span>
<span id="L58" class="LineNr">58 </span>
<span id="L59" class="LineNr">59 </span>Function: This entry reverses the actions of
<span id="L60" class="LineNr">60 </span>video_utils_$turn_on_login_channel.  That is, it removes the window
<span id="L61" class="LineNr">61 </span>attachment of user_i/o, detaches terminal control from the user's
<span id="L62" class="LineNr">62 </span>terminal, and attaches user_i/o to the user's terminal via tty_.  The
<span id="L63" class="LineNr">63 </span>settings of the following modes are copied when when the video system
<span id="L64" class="LineNr">64 </span>is revoked: vertsp, can, erkl, esc, red, and ctl_char.  If ^more is
<span id="L65" class="LineNr">65 </span>set while in the video system, ^pl mode will be set after revoking the
<span id="L66" class="LineNr">66 </span>video system.  <span class="textRainbow_lv0_p0">(</span>For more details on modes<span class="textRainbow_lv0_o0">,</span> see the window_io_ I/O
<span id="L67" class="LineNr">67 </span>module.<span class="textRainbow_lv0_p0">)</span> Similarly, the settings of the current erase and kill
<span id="L68" class="LineNr">68 </span>characters are copied when the video system is revoked.  It is the
<span id="L69" class="LineNr">69 </span>user's responsibility to detach any windows other than user_io before
<span id="L70" class="LineNr">70 </span>calling this entry point
<span id="L71" class="LineNr">71 </span>
<span id="L72" class="LineNr">72 </span>
<span id="L73" class="LineNr">73 </span>Syntax:
<span id="L74" class="LineNr">74 </span>declare video_utils_$turn_off_login_channel entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L75" class="LineNr">75 </span>call video_utils_$turn_off_login_channel <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L76" class="LineNr">76 </span>
<span id="L77" class="LineNr">77 </span>
<span id="L78" class="LineNr">78 </span>Arguments:
<span id="L79" class="LineNr">79 </span>code
<span id="L80" class="LineNr">80 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It is nonzero if and only
<span id="L81" class="LineNr">81 </span>   if the video system can not be removed from the user's terminal.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
